## org.apache.fop.dom.svg
Class SVGRadialGradientElementImpl

    java.lang.Object
      |
      +--org.apache.fop.dom.NodeImpl
            |
            +--org.apache.fop.dom.ElementImpl
                  |
                  +--org.apache.fop.dom.svg.SVGElementImpl
                        |
                        +--org.apache.fop.dom.svg.GraphicElement
                              |
                              +--org.apache.fop.dom.svg.SVGURIReferenceImpl
                                    |
                                    +--org.apache.fop.dom.svg.SVGGradientElementImpl
                                          |
                                          +--org.apache.fop.dom.svg.SVGRadialGradientElementImpl

public class SVGRadialGradientElementImpl
extends SVGGradientElementImpl
implements org.w3c.dom.svg.SVGRadialGradientElement

Fields inherited from class org.apache.fop.dom.svg.GraphicElement
`reqExtensions, reqFeatures, sysLanguage`

Fields inherited from class org.apache.fop.dom.NodeImpl
`childs, ownerDoc`

Fields inherited from interface org.w3c.dom.svg.SVGGradientElement
`SVG_SPREADMETHOD_PAD, SVG_SPREADMETHOD_REFLECT, SVG_SPREADMETHOD_REPEAT, SVG_SPREADMETHOD_UNKNOWN`

Fields inherited from interface org.w3c.dom.svg.SVGUnitTypes
`SVG_UNIT_TYPE_OBJECTBOUNDINGBOX, SVG_UNIT_TYPE_UNKNOWN, SVG_UNIT_TYPE_USERSPACEONUSE`

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Constructor Summary
`SVGRadialGradientElementImpl()`

Method Summary
`org.w3c.dom.svg.SVGAnimatedLength` `getCx()`
`org.w3c.dom.svg.SVGAnimatedLength` `getCy()`
`org.w3c.dom.svg.SVGAnimatedLength` `getFx()`
`org.w3c.dom.svg.SVGAnimatedLength` `getFy()`
`org.w3c.dom.svg.SVGAnimatedLength` `getR()`
`void` `setCx(org.w3c.dom.svg.SVGAnimatedLength cx)`
`void` `setCy(org.w3c.dom.svg.SVGAnimatedLength cy)`
`void` `setFx(org.w3c.dom.svg.SVGAnimatedLength fx)`
`void` `setFy(org.w3c.dom.svg.SVGAnimatedLength fy)`
`void` `setR(org.w3c.dom.svg.SVGAnimatedLength r)`

Methods inherited from class org.apache.fop.dom.svg.SVGGradientElementImpl
`getExternalResourcesRequired, getGradientTransform, getGradientUnits, getSpreadMethod, setExternalResourcesRequired, setGradientTransform, setGradientUnits, setSpreadMethod`

Methods inherited from class org.apache.fop.dom.svg.SVGURIReferenceImpl
`getHref, getXlinkActuate, getXlinkArcRole, getXlinkRole, getXlinkShow, getXlinkTitle, getXlinkType, setHref, setXlinkActuate, setXlinkArcRole, setXlinkRole, setXlinkShow, setXlinkTitle, setXlinkType`

Methods inherited from class org.apache.fop.dom.svg.GraphicElement
`addEventListener, dispatchEvent, getBBox, getChildrenBBox, getCTM, getFarthestViewportElement, getNearestViewportElement, getRequiredExtensions, getRequiredFeatures, getScreenCTM, getSystemLanguage, getTransform, getTransformToElement, getXMLlang, getXMLspace, hasExtension, removeEventListener, setRequiredExtensions, setRequiredFeatures, setSystemLanguage, setTransform, setXMLlang, setXMLspace`

Methods inherited from class org.apache.fop.dom.svg.SVGElementImpl
`appendChild, getAnimatedPresentationAttribute, getClassName, getId, getNamespaceURI, getOwnerSVGElement, getPresentationAttribute, getStyle, getViewportElement, setClassName, setId, setOwnerSVG, setStyle`

Methods inherited from class org.apache.fop.dom.ElementImpl
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getElementsByTagName, getElementsByTagNameNS, hasAttribute, hasAttributeNS, hasAttributes, removeAttribute, removeAttributeNode, removeAttributeNS, replaceChild, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS`

Methods inherited from class org.apache.fop.dom.NodeImpl
`cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getTagName, hasChildNodes, insertBefore, isSupported, normalize, removeChild, setNodeValue, setPrefix, supports`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SVGRadialGradientElementImpl

    public SVGRadialGradientElementImpl()

Method Detail

### getCx

    public org.w3c.dom.svg.SVGAnimatedLength getCx()

  Specified by:
    getCx in interface org.w3c.dom.svg.SVGRadialGradientElement

### setCx

    public void setCx(org.w3c.dom.svg.SVGAnimatedLength cx)

### getCy

    public org.w3c.dom.svg.SVGAnimatedLength getCy()

  Specified by:
    getCy in interface org.w3c.dom.svg.SVGRadialGradientElement

### setCy

    public void setCy(org.w3c.dom.svg.SVGAnimatedLength cy)

### getR

    public org.w3c.dom.svg.SVGAnimatedLength getR()

  Specified by:
    getR in interface org.w3c.dom.svg.SVGRadialGradientElement

### setR

    public void setR(org.w3c.dom.svg.SVGAnimatedLength r)

### getFx

    public org.w3c.dom.svg.SVGAnimatedLength getFx()

  Specified by:
    getFx in interface org.w3c.dom.svg.SVGRadialGradientElement

### setFx

    public void setFx(org.w3c.dom.svg.SVGAnimatedLength fx)

### getFy

    public org.w3c.dom.svg.SVGAnimatedLength getFy()

  Specified by:
    getFy in interface org.w3c.dom.svg.SVGRadialGradientElement

### setFy

    public void setFy(org.w3c.dom.svg.SVGAnimatedLength fy)

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.